Page MenuHomePhabricator

Dashboard header overlaps with page selector
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Go to Special:CX
  2. Start a new article
  3. Resize the window so that it is not much taller than the dialog (or scroll down later)
  4. Click to change the target language

Observe how ULS language selection opens and scrolls down the page enough that the start new translation header starts to float and overlap with the dialog.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DuplicateNone
DuplicateNone
OpenNone
ResolvedAmire80
OpenNone
OpenNone
OpenNone
Resolvedsanthosh
Declinedleila
Resolvedsanthosh
Resolvedsanthosh
ResolvedNikerabbit
Resolvedsanthosh
Resolvedsanthosh
Resolvedsanthosh
Resolvedsanthosh
OpenNone
Resolvedsanthosh
ResolvedPginer-WMF
OpenNone
OpenNone
Resolvedsanthosh
Resolvedsanthosh
ResolvedKartikMistry
Resolvedsanthosh
ResolvedKartikMistry
ResolvedArrbee
Resolvedsanthosh
DuplicateNone
Resolvedsanthosh
ResolvedAmire80
Duplicatesanthosh
DuplicateNone
OpenNone
ResolvedKartikMistry
Resolvedsanthosh
Resolvedsanthosh
OpenNone
Resolvedsanthosh
OpenNone
Resolvedsanthosh
ResolvedKartikMistry
ResolvedKartikMistry
OpenNone
ResolvedAmire80
OpenNone
ResolvedPginer-WMF
DuplicateEtonkovidova
OpenNone
ResolvedPetar.petkovic
OpenNone
ResolvedPetar.petkovic
Resolvedsanthosh
OpenNone
ResolvedPginer-WMF
DuplicateEtonkovidova
OpenNone
ResolvedPginer-WMF
ResolvedPginer-WMF
ResolvedPetar.petkovic
OpenNone
ResolvedPginer-WMF
DeclinedNone
ResolvedPginer-WMF
OpenNone
Resolvedsanthosh
OpenNone
OpenNone
DuplicateNone
OpenNone

Event Timeline

Nikerabbit raised the priority of this task from to Needs Triage.
Nikerabbit updated the task description. (Show Details)
Nikerabbit added a project: ContentTranslation.
Nikerabbit added a subscriber: Nikerabbit.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 7 2015, 8:56 AM
Amire80 triaged this task as Low priority.Jul 7 2015, 9:10 AM
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
Pginer-WMF moved this task from CX6 to CX7 on the ContentTranslation board.Jul 21 2015, 4:12 PM

Change 242058 had a related patch set uploaded (by Jarrettmunton):
Fix dashboard header overlapping page selector

https://gerrit.wikimedia.org/r/242058

Change 242058 merged by jenkins-bot:
Fix dashboard header overlapping page selector

https://gerrit.wikimedia.org/r/242058

Thanks @Jarrettmunton

The ideal fix for this is to prevent the The ideal fix for this is to prevent the scrolling when overlay is shown. That is done in https://gerrit.wikimedia.org/r/242094

Change 242094 had a related patch set uploaded (by Santhosh):
Prevent page scroll when overlay is shown

https://gerrit.wikimedia.org/r/242094

santhosh claimed this task.Sep 29 2015, 9:23 AM
santhosh added a project: LE-CX6-Sprint break.
santhosh moved this task from Backlog to In Review on the LE-CX6-Sprint break board.
santhosh added a subscriber: LE-CX6-Sprint break.
santhosh removed a subscriber: LE-CX6-Sprint break.

Change 242094 merged by jenkins-bot:
Prevent page scroll when overlay is shown

https://gerrit.wikimedia.org/r/242094

Nikerabbit moved this task from In Review to QA on the LE-CX6-Sprint break board.Sep 30 2015, 9:25 AM
Arrbee added a subscriber: Arrbee.Sep 30 2015, 11:01 AM

ULS dialog scrolls to show the language list well.

Arrbee moved this task from QA to Done on the LE-CX6-Sprint break board.Sep 30 2015, 11:01 AM
santhosh closed this task as Resolved.Oct 9 2015, 6:01 AM